summaryrefslogtreecommitdiffstats
path: root/source/a/tree/tree.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/tree/tree.SlackBuild')
-rwxr-xr-xsource/a/tree/tree.SlackBuild12
1 files changed, 6 insertions, 6 deletions
diff --git a/source/a/tree/tree.SlackBuild b/source/a/tree/tree.SlackBuild
index 4dd419c0c..b34201046 100755
--- a/source/a/tree/tree.SlackBuild
+++ b/source/a/tree/tree.SlackBuild
@@ -23,10 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=tree
-VERSION=1.7.0
-BUILD=${BUILD:-2}
-
-NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+VERSION=1.8.0
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -46,6 +44,8 @@ if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
exit 0
fi
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-tree
@@ -67,8 +67,8 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf tree-$VERSION
-tar xvf $CWD/tree-$VERSION.tar.?z* || exit 1
-cd tree-$VERSION
+tar xvf $CWD/tree-$VERSION.tar.?z || exit 1
+cd tree-$VERSION || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \